summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/ffmpeg/ffmpeg.SlackBuild53
-rwxr-xr-xsource/l/fuse3/fuse3.SlackBuild2
-rw-r--r--source/l/mlt/mlt-opencv.patch55
-rwxr-xr-xsource/l/mlt/mlt.SlackBuild5
4 files changed, 42 insertions, 73 deletions
diff --git a/source/l/ffmpeg/ffmpeg.SlackBuild b/source/l/ffmpeg/ffmpeg.SlackBuild
index 6ede2d332..f4a443e44 100755
--- a/source/l/ffmpeg/ffmpeg.SlackBuild
+++ b/source/l/ffmpeg/ffmpeg.SlackBuild
@@ -30,7 +30,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=ffmpeg
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -79,11 +79,12 @@ fi
# Unfortunately ffmpeg's configure doesn't support --enable-feature=yes
# syntax, so we have to do it the complicated way :/
# Additional optional (autodetected) dependencies are:
-# - jack-audio-connection-kit
+# - bzip2
# - libva
# - libvdpau
# - libX11
# - libxcb
+# - nvdec/nvenc
# - sdl2
# - xz
# - zlib
@@ -91,21 +92,16 @@ fi
libx264="" ; [ "${X264:-no}" != "no" ] && libx264="--enable-libx264"
libcelt="" ; [ "${CELT:-no}" != "no" ] && libcelt="--enable-libcelt"
libdc1394="" ; [ "${DC1394:-no}" != "no" ] && libdc1394="--enable-libdc1394"
-libfrei0r="" ; [ "${FREI0R:-no}" != "no" ] && libfrei0r="--enable-frei0r"
libgsm="" ; [ "${GSM:-no}" != "no" ] && libgsm="--enable-libgsm"
librtmp="" ; [ "${RTMP:-no}" != "no" ] && librtmp="--enable-librtmp"
-libspeex="" ; [ "${SPEEX:-yes}" != "no" ] && libspeex="--enable-libspeex"
libxvid="" ; [ "${XVID:-no}" != "no" ] && libxvid="--enable-libxvid"
libass="" ; [ "${ASS:-no}" != "no" ] && libass="--enable-libass"
-libopenal="" ; [ "${OPENAL:-no}" != "no" ] && libopenal="--enable-openal"
libiec61883=""; [ "${IEC61883:-no}" != "no" ] && libiec61883="--enable-libiec61883"
libilbc="" ; [ "${ILBC:-no}" != "no" ] && libilbc="--enable-libilbc"
libmodplug="" ; [ "${MODPLUG:-no}" != "no" ] && libmodplug="--enable-libmodplug"
-libopus="" ; [ "${OPUS:-yes}" != "no" ] && libopus="--enable-libopus"
libtwolame="" ; [ "${TWOLAME:-no}" != "no" ] && libtwolame="--enable-libtwolame"
ladspa="" ; [ "${LADSPA:-no}" != "no" ] && ladspa="--enable-ladspa"
libflite="" ; [ "${FLITE:-no}" != "no" ] && libflite="--enable-libflite"
-libvidstab="" ; [ "${VIDSTAB:-no}" != "no" ] && libvidstab="--enable-libvidstab"
libx265="" ; [ "${X265:-no}" != "no" ] && libx265="--enable-libx265"
libzvbi="" ; [ "${ZVBI:-no}" != "no" ] && libzvbi="--enable-libzvbi"
libopencv="" ; [ "${OPENCV:-no}" != "no" ] && libopencv="--enable-libopencv"
@@ -113,11 +109,19 @@ libgme="" ; [ "${GME:-no}" != "no" ] && libgme="--enable-libgme"
libsnappy="" ; [ "${SNAPPY:-no}" != "no" ] && libsnappy="--enable-libsnappy"
libzmq="" ; [ "${ZMQ:-no}" != "no" ] && libzmq="--enable-libzmq"
libbs2b="" ; [ "${BS2B:-no}" != "no" ] && libbs2b="--enable-libbs2b"
-libebur128="" ; [ "${EBUR128:-no}" != "no" ] && libebur128="--enable-libebur128"
rubberband="" ; [ "${RUBBERBAND:-no}" != "no" ] && rubberband="--enable-librubberband"
tesseract="" ; [ "${TESSERACT:-no}" != "no" ] && tesseract="--enable-libtesseract"
-netcdf="" ; [ "${NETCDF:-no}" != "no" ] && netcdf="--enable-netcdf"
+libjack="" ; [ "${JACK:-no}" != "no" ] && libjack="--enable-libjack"
+libaom="" ; [ "${AOM:-no}" != "no" ] && libaom="--enable-libaom"
+lv2="" ; [ "${LV2:-no}" != "no" ] && lv2="--enable-lv2"
+libdav1d="" ; [ "${DAV1D:-no}" != "no" ] && libdav1d="--enable-libdav1d"
+rabbitmq="" ; [ "${RABBITMQ:-no}" != "no" ] && rabbitmq="--enable-librabbitmq"
+libcodec2="" ; [ "${CODEC2:-no}" != "no" ] && libcodec2="--enable-libcodec2"
+libsoxr="" ; [ "${SOXR:-no}" != "no" ] && libsoxr="--enable-libsoxr"
+libsrt="" ; [ "${SRT:-no}" != "no" ] && libsrt="--enable-libsrt"
+libzimg="" ; [ "${ZIMG:-no}" != "no" ] && libsrt="--enable-libzimg"
chromaprint="" ; [ "${CHROMAPRINT:-no}" != "no" ] && chromaprint="--enable-chromaprint"
+vapoursynth="" ; [ "${VAPOURSYNTH:-no}" != "no" ] && vapoursynth="--enable-vapoursynth"
opencore_amr="" ; [ "${OPENCORE:-no}" != "no" ] && \
opencore_amr="--enable-libopencore-amrnb --enable-libopencore-amrwb"
fdk="" ; [ "${FDK_AAC:-no}" != "no" ] && \
@@ -127,6 +131,9 @@ ssl="" ; [ "${OPENSSL:-no}" != "no" ] && \
decklink="" ; [ "${DECKLINK:-no}" != "no" ] && \
{ decklink="--enable-decklink" ; \
SLKCFLAGS="$SLKCFLAGS -I/usr/include/decklink" ; }
+vulkan="" ; [ "${VULKAN:-no}" != "no" ] && librsvg="--enable-vulkan"
+libglslang="" ; [ "${GLSLANG:-no}" != "no" ] && libglslang="--enable-libglslang"
+liblensfun="" ; [ "${LENSFUN:-no}" != "no" ] && liblensfun="--enable-liblensfun"
# Default enabled features:
fontconfig="" ; [ "${FONTCONFIG:-yes}" != "no" ] && fontconfig="--enable-libfontconfig"
@@ -148,7 +155,14 @@ opengl="" ; [ "${OPENGL:-yes}" != "no" ] && opengl="--enable-opengl"
openjpeg="" ; [ "${JP2:-yes}" != "no" ] && openjpeg="--enable-libopenjpeg"
pulse="" ; [ "${PULSEAUDIO:-yes}" != "no" ] && pulse="--enable-libpulse"
samba="" ; [ "${SAMBA:-yes}" != "no" ] && samba="--enable-libsmbclient"
-wavpack="" ; [ "${WAVPACK:-yes}" != "no" ] && wavpack="--enable-libwavpack"
+libfrei0r="" ; [ "${FREI0R:-yes}" != "no" ] && libfrei0r="--enable-frei0r"
+libspeex="" ; [ "${SPEEX:-yes}" != "no" ] && libspeex="--enable-libspeex"
+libopenal="" ; [ "${OPENAL:-yes}" != "no" ] && libopenal="--enable-openal"
+libopus="" ; [ "${OPUS:-yes}" != "no" ] && libopus="--enable-libopus"
+libvidstab="" ; [ "${VIDSTAB:-yes}" != "no" ] && libvidstab="--enable-libvidstab"
+libxml2="" ; [ "${LIBXML2:-yes}" != "no" ] && libxml2="--enable-libxml2"
+librsvg="" ; [ "${LIBRSVG:-yes}" != "no" ] && librsvg="--enable-librsvg"
+libdrm="" ; [ "${LIBDRM:-yes}" != "no" ] && libdrm="--enable-libdrm"
# No default patent encumbered features:
aac="" ; [ "${AAC:-no}" = "no" ] && aac="--disable-encoder=aac"
@@ -203,7 +217,6 @@ CXXFLAGS="$SLKCFLAGS" \
$libcdio \
$libcelt \
$libdc1394 \
- $libebur128 \
$libflite \
$libfrei0r \
$libgme \
@@ -231,7 +244,6 @@ CXXFLAGS="$SLKCFLAGS" \
$libzmq \
$libzvbi \
$mp3lame \
- $netcdf \
$opencl \
$opencore_amr \
$opengl \
@@ -241,7 +253,22 @@ CXXFLAGS="$SLKCFLAGS" \
$samba \
$ssl \
$tesseract \
- $wavpack || exit 1
+ $liblensfun \
+ $libxml2 \
+ $librsvg \
+ $vulkan \
+ $libjack \
+ $libglslang \
+ $libdrm \
+ $libaom \
+ $lv2 \
+ $libdav1d \
+ $rabbitmq \
+ $libcodec2 \
+ $libsoxr \
+ $libsrt \
+ $libzimg \
+ $vapoursynth || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/l/fuse3/fuse3.SlackBuild b/source/l/fuse3/fuse3.SlackBuild
index 2b5e3ab4f..c2f8557ec 100755
--- a/source/l/fuse3/fuse3.SlackBuild
+++ b/source/l/fuse3/fuse3.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fuse3
SRCNAM=fuse
VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/l/mlt/mlt-opencv.patch b/source/l/mlt/mlt-opencv.patch
deleted file mode 100644
index bd486a73b..000000000
--- a/source/l/mlt/mlt-opencv.patch
+++ /dev/null
@@ -1,55 +0,0 @@
-diff -aurN mlt-6.24.1/src/modules/opencv/filter_opencv_tracker.cpp mlt-6.24.1.mod/src/modules/opencv/filter_opencv_tracker.cpp
---- mlt-6.24.1/src/modules/opencv/filter_opencv_tracker.cpp 2021-01-05 19:15:52.000000000 +0100
-+++ mlt-6.24.1.mod/src/modules/opencv/filter_opencv_tracker.cpp 2021-01-13 10:29:26.314403046 +0100
-@@ -25,7 +25,11 @@
- typedef struct
- {
- cv::Ptr<cv::Tracker> tracker;
-- cv::Rect2d boundingBox;
-+#if CV_VERSION_MAJOR < 4 && CV_VERSION_MINOR < 5
-+ cv::Rect2d boundingBox;
-+#else
-+ cv::Rect boundingBox;
-+#endif
- char * algo;
- mlt_rect startRect;
- bool initialized;
-@@ -138,7 +142,7 @@
- {
- data->tracker = cv::TrackerKCF::create();
- }
--#if CV_VERSION_MAJOR > 3 || (CV_VERSION_MAJOR == 3 && CV_VERSION_MINOR >= 4 && CV_VERSION_REVISION >= 2)
-+#if (CV_VERSION_MAJOR > 3 && CV_VERSION_MAJOR < 4 && CV_VERSION_MINOR < 5) || (CV_VERSION_MAJOR == 3 && CV_VERSION_MINOR >= 4 && CV_VERSION_REVISION >= 2)
- else if ( !strcmp(data->algo, "CSRT" ) )
- {
- data->tracker = cv::TrackerCSRT::create();
-@@ -152,6 +156,7 @@
- {
- data->tracker = cv::TrackerMIL::create();
- }
-+#if CV_VERSION_MAJOR < 4 && CV_VERSION_MINOR < 5
- else if ( !strcmp(data->algo, "TLD" ) )
- {
- data->tracker = cv::TrackerTLD::create();
-@@ -160,6 +165,7 @@
- {
- data->tracker = cv::TrackerBoosting::create();
- }
-+#endif // CV_VERSION_MAJOR < 4 && CV_VERSION_MINOR < 5
- #else
- if ( data->algo == NULL || !strcmp(data->algo, "" ) )
- {
-@@ -224,7 +230,12 @@
- if ( data->boundingBox.height <1 ) {
- data->boundingBox.height = 50;
- }
-- if ( data->tracker->init( cvFrame, data->boundingBox ) ) {
-+#if CV_VERSION_MAJOR < 4 && CV_VERSION_MINOR < 5
-+ if ( data->tracker->init( cvFrame, data->boundingBox ) ) {
-+#else
-+ {
-+ data->tracker->init( cvFrame, data->boundingBox );
-+#endif
- data->initialized = true;
- data->analyze = true;
- data->last_position = position - 1;
diff --git a/source/l/mlt/mlt.SlackBuild b/source/l/mlt/mlt.SlackBuild
index dfb422c73..59182265f 100755
--- a/source/l/mlt/mlt.SlackBuild
+++ b/source/l/mlt/mlt.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mlt
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -88,9 +88,6 @@ find . \
PYTHONSITEPKG=$(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
-# Fix compatibility with newer opencv:
-zcat $CWD/mlt-opencv.patch.gz | patch -p1 --verbose || exit 1
-
# Configure, build, and install:
if [ ! -r configure ]; then
if [ -x ./autogen.sh ]; then